<?php
class Core_Validate_Array_Diff extends Core_Validate_Array_Abstract
{
    protected $_defaultErrorMessage = 'Vrijednosti nisu u predefiniranim vrijednostima';

    protected $_array;

    protected function _isValid($value)
    {
        $diff = array_diff($value, $this->getArray());
        return empty($diff);
    }

    public function setArray($array)
    {
        $this->_array = (array) $array;
    }

    public function getArray()
    {
        return $this->_array;
    }
}